Bug 182721 - net/mDNSResponder port lacks startup script for mDNSResponderPosix
Summary: net/mDNSResponder port lacks startup script for mDNSResponderPosix
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-05 23:40 UTC by Nuno Subtil
Modified: 2013-11-02 12:10 UTC (History)
0 users

See Also:


Attachments
file.txt (1.58 KB, text/plain)
2013-10-05 23:40 UTC, Nuno Subtil
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nuno Subtil 2013-10-05 23:40:00 UTC
The mDNSResponder port lacks a startup script for mDNSResponderPosix, the stand-alone daemon that can announce services specified on a config file.

This daemon is useful for setups such as a dedicated netatalk3 file server: netatalk3 does not support mDNSResponder directly, but using avahi instead would pull in dozens of unnecessary packages.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-10-06 01:55:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Po-Chuan Hsieh freebsd_committer 2013-11-02 12:08:12 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2013-11-02 12:08:13 UTC
Author: sunpoet
Date: Sat Nov  2 12:08:06 2013
New Revision: 332470
URL: http://svnweb.freebsd.org/changeset/ports/332470

Log:
  - Add rc script for mDNSResponderPosix
  - Bump PORTREVISION for package change
  
  PR:		ports/182721
  Submitted by:	Nuno Subtil <subtil@gmail.com>

Added:
  head/net/mDNSResponder/files/mdnsresponder.in   (contents, props changed)
Modified:
  head/net/mDNSResponder/Makefile

Modified: head/net/mDNSResponder/Makefile
==============================================================================
--- head/net/mDNSResponder/Makefile	Sat Nov  2 11:56:16 2013	(r332469)
+++ head/net/mDNSResponder/Makefile	Sat Nov  2 12:08:06 2013	(r332470)
@@ -3,7 +3,7 @@
 
 PORTNAME=	mDNSResponder
 PORTVERSION=	379.38.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	net dns
 MASTER_SITES=	http://opensource.apple.com/tarballs/${PORTNAME}/
 
@@ -20,7 +20,7 @@ INSTALL_WRKSRC=	${WRKSRC}/mDNSPosix
 MAKE_ARGS=	LOCALBASE=${PREFIX} MANPATH=${MANPREFIX}/man os=freebsd
 USES=		bison gmake
 USE_LDCONFIG=	yes
-USE_RC_SUBR=	mdnsd
+USE_RC_SUBR=	mdnsd mdnsresponder
 
 EXTRA_BIN=	mDNSClientPosix mDNSIdentify mDNSNetMonitor mDNSProxyResponderPosix mDNSResponderPosix
 EXTRA_MAN1=	dns-sd.1

Added: head/net/mDNSResponder/files/mdnsresponder.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/mDNSResponder/files/mdnsresponder.in	Sat Nov  2 12:08:06 2013	(r332470)
@@ -0,0 +1,22 @@
+#!/bin/sh
+#
+# $FreeBSD$
+
+# PROVIDE: mdnsresponder
+# REQUIRE: DAEMON
+# KEYWORD: shutdown
+
+. /etc/rc.subr
+
+name=mdnsresponder
+rcvar=mdnsresponder_enable
+
+load_rc_config $name
+
+: ${mdnsresponder_enable="NO"}
+: ${mdnsresponder_pidfile="/var/run/${name}.pid"}
+
+command="%%PREFIX%%/bin/mDNSResponderPosix"
+command_args="-b -P ${mdnsresponder_pidfile}"
+
+run_rc_command $*
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"